<!DOCTYPE html>
<html lang="fr">
<head>
	<meta http-equiv="content-type" content="text/html; charset=UTF-8" />
    <meta name="viewport" content= "width=device-width, initial-scale=1.0" />
	<title>Site d'inscription pour le TFJM² <?= $YEAR ?></title>
	<link rel="stylesheet" type="text/css" href="<?= $URL_BASE ?>/style.css" />
    <link REL="shortcut icon" href="<?= $URL_BASE ?>/favicon.ico" />

    <!-- Bootstrap core CSS -->
    <link rel="stylesheet" type="text/css" href="https://s3-eu-west-1.amazonaws.com/tfjm2-inscriptions/static/inscription/vendor/bootstrap/css/bootstrap.min.css">

    <!-- Custom fonts for this template -->
    <link rel="stylesheet" type="text/css" href="https://s3-eu-west-1.amazonaws.com/tfjm2-inscriptions/static/inscription/vendor/font-awesome/css/font-awesome.min.css">

    <!-- Plugin CSS -->
    <link rel="stylesheet" type="text/css" href="https://s3-eu-west-1.amazonaws.com/tfjm2-inscriptions/static/inscription/vendor/datatables/dataTables.bootstrap4.css">

    <!-- Custom styles for this template -->
    <link rel="stylesheet" type="text/css" href="https://s3-eu-west-1.amazonaws.com/tfjm2-inscriptions/static/inscription/css2/sb-admin.css">
</head>

<body>
<ul id="menu">
    <li id="menu-logo"><img src="<?= $URL_BASE ?>/logo.svg" alt="Logo TFJM²"></li>
	<li><a href="<?= $URL_BASE ?>/">Accueil</a></li>
	<li><a href="<?= $URL_BASE ?>/tournois">Liste des tournois</a></li>
	<?php if (!isset($_SESSION["user_id"])) { ?>
		<li><a href="<?= $URL_BASE ?>/connexion">Connexion</a></li>
		<li><a href="<?= $URL_BASE ?>/inscription">Inscription</a></li>
	<?php } else { ?>
		<li><a href="<?= $URL_BASE ?>/mon_compte">Mon compte</a></li>
        <?php if ($_SESSION["role"] == Role::ENCADRANT || $_SESSION["role"] == Role::PARTICIPANT) { ?>
		    <?php if ($_SESSION["team"] == NULL) { ?>
			    <li><a href="<?= $URL_BASE ?>/ajouter_equipe">Ajouter une équipe</a></li>
			    <li><a href="<?= $URL_BASE ?>/rejoindre_equipe">Rejoindre une équipe</a></li>
            <?php } else { ?>
                <li><a href="<?= $URL_BASE ?>/mon_equipe">Mon équipe</a></li>
                <?php if ($_SESSION["team"]->getValidationStatus() == ValidationStatus::VALIDATED || true) { ?>
                    <li><a href="https://paypal.me/galaxyoyo42">Paiement</a></li>
                    <li><a href="<?= $URL_BASE ?>/solutions">Solutions</a></li>
                    <li><a href="<?= $URL_BASE ?>/syntheses">Notes de synthèse</a></li>
                <?php } ?>
            <?php } ?>
        <?php } ?>
		<?php if ($_SESSION["role"] == Role::ADMIN) { ?>
            <li><a href="<?= $URL_BASE ?>/ajouter_tournoi">Ajouter un tournoi</a></li>
            <li><a href="<?= $URL_BASE ?>/ajouter_organisateur">Ajouter un organisateur</a></li>
		<?php } ?>
        <?php if ($_SESSION["role"] == Role::ADMIN || $_SESSION["role"] == Role::ORGANIZER) { ?>
            <li><a href="<?= $URL_BASE ?>/solutions_orga">Solutions</a></li>
            <li><a href="<?= $URL_BASE ?>/syntheses_orga">Notes de synthèse</a></li>
        <?php } ?>
		<li><a href="<?= $URL_BASE ?>/deconnexion">Déconnexion</a></li>
        <hr />
        <?php
        if ($_SESSION["role"] != Role::ADMIN) {
            echo "<li><a href=\"?be-admin=1\">Devenir administrateur</a></li>\n";
        }
        if ($_SESSION["role"] != Role::ORGANIZER) {
            echo "<li><a href=\"?be-organizer=1\">Devenir organisateur</a></li>\n";
        }
        if ($_SESSION["role"] != Role::PARTICIPANT) {
            echo "<li><a href=\"?be-participant=1\">Devenir participant</a></li>\n";
        }
        if ($_SESSION["role"] != Role::ENCADRANT) {
            echo "<li><a href=\"?be-encadrant=1\">Devenir encadrant</a></li>\n";
        }
        ?>
	<?php } ?>
</ul>

<div id="main-container">
    <div id="main-content">
        <div class="container-fluid">